Bug 425839 - Review Request: starplot-gliese3 - Stellar data set for use by the StarPlot tool
Review Request: starplot-gliese3 - Stellar data set for use by the StarPlot tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 09:51 EST by Debarshi Ray
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-24 12:30:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-12-16 09:51:25 EST
Spec URL: http://rishi.fedorapeople.org/starplot-gliese3.spec
SRPM URL: http://rishi.fedorapeople.org/starplot-gliese3-0.95-1.fc8.src.rpm


Description:

Stellar data set for use by the StarPlot tool from the Third Catalogue of
Nearby Stars (preliminary edition), Gliese and Jahreiss, 1991. The data set
was obtained from the archives of the Astronomical Data Center (ADC) at NASA
Goddard Space Flight Center.
Comment 1 Debarshi Ray 2007-12-16 11:51:09 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=295802
Comment 2 Parag AN(पराग) 2007-12-16 23:45:40 EST
rpmlint is silent.
source matches upstream.
c4f5435c0082bd8b9a7fb2a765f25414  gliese3-0.95.tar.gz
mock build is successful.

APPROVED.
Comment 3 Debarshi Ray 2007-12-17 02:17:43 EST
New Package CVS Request
=======================
Package Name: starplot-gliese3
Short Description: Stellar data set for use by the StarPlot tool
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 4 Mamoru TASAKA 2007-12-17 03:00:01 EST
Like bug 425853, this srpm must also be fixed.
Comment 5 Parag AN(पराग) 2007-12-17 03:44:39 EST
Okay here scriptlets are having problem.
rpm -ihv starplot-gliese3-0.95-1.fc8.noarch.rpm --excludedocs
Preparing...                ########################################### [100%]
   1:starplot-gliese3       ########################################### [100%]
*** Does not contain starconvert spec file.
error: %post(starplot-gliese3-0.95-1.fc8.noarch) scriptlet failed, exit status 1

Debarshi,
  Please follow https://bugzilla.redhat.com/process_bug.cgi#c7 and update package.
Comment 6 Parag AN(पराग) 2007-12-17 03:46:13 EST
Please follow https://bugzilla.redhat.com/show_bug.cgi?id=425853#c7 and update
package.
Comment 7 Debarshi Ray 2007-12-17 04:08:18 EST
We can not distribute the yale5.stars file as part of the package, since it
would be a violation of the license. This was discussed on
fedora-devel-list@redhat.com
(https://www.redhat.com/archives/fedora-devel-list/2007-November/msg00742.html)
and it was decided that they should be generated during %post and mentioned as
%ghost.
Comment 8 Debarshi Ray 2007-12-17 04:17:11 EST
I will use %{_datadir}/%{name} instead of %{_docdir}/%{name}-%{version} to
generate the *.stars file. Will that be acceptable?
Comment 9 Parag AN(पराग) 2007-12-17 04:26:19 EST
before you submit any change please cross check with following command
rpm -ihv starplot-gliese3-0.95-1.fc8.noarch.rpm --excludedocs
Comment 10 Tom "spot" Callaway 2007-12-17 11:15:55 EST
cvs is done, but please fix the scriplet issues before committing.
Comment 11 Parag AN(पराग) 2007-12-19 10:16:55 EST
Proposing this new fix,
Spec URL:  http://paragn.fedorapeople.org/starplot-gliese3.spec
SRPM URL:  http://paragn.fedorapeople.org/starplot-gliese3-0.95-2.fc8.src.rpm

Comment 12 Mamoru TASAKA 2007-12-19 10:32:27 EST
IMO it is better that all files (.spec file, orig-data, etc ) from
various starplot-related packages are installed under %_datadir/starplot.

For this package, IMO it is better that .spec file, orig-data, etc...
are installed under %_datadir/starplot/gliese3, and for yale5, it is
%_datadir/starplot/yale5.
Comment 14 Mamoru TASAKA 2007-12-19 10:58:22 EST
Seems good, however please replace gliese3 with %dataset appropriately
for consistency.
Comment 15 Parag AN(पराग) 2007-12-19 11:09:31 EST
done :) with same release -3 links.
Thanks to you.
Comment 16 Parag AN(पराग) 2007-12-21 23:46:35 EST
Debarshi,
Do you see any problem with updated package links in comment #13?
Comment 17 Debarshi Ray 2007-12-22 16:48:16 EST
Looks fine to me.

Spec: http://rishi.fedorapeople.org/starplot-gliese3.spec
SRPM: http://rishi.fedorapeople.org/starplot-gliese3-0.95-1.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=307172

I have merged Parag's changes into the above Spec/SRPM pair.
Comment 18 Debarshi Ray 2007-12-22 16:49:38 EST
Sorry, make it
SRPM: http://rishi.fedorapeople.org/starplot-gliese3-0.95-2.fc8.src.rpm
Comment 19 Parag AN(पराग) 2007-12-24 01:09:01 EST
APPROVED above SRPM.

You can now import above SRPM.

Note You need to log in before you can comment on or make changes to this bug.